#
# spec file for package sigrok-dumps
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           sigrok-dumps
Version:        20161104.8d9e030
Release:        1.1
License:        SUSE-Public-Domain
Summary:        Logic analyzer example data in sigrok format
Url:            http://sigrok.org/wiki/Example_dumps
Group:          Productivity/Scientific/Electronics
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  fdupes

%description
sigrok-dumps is a collection of logic analyzer example data, covering various
protocols (e.g. I2C, SPI, UART, etc).


%prep
%setup -q

%build

%install
make DESTDIR=%{buildroot}/%{_datadir}/%{name} install
rm %{buildroot}/%{_datadir}/%{name}/README
rm %{buildroot}/%{_datadir}/%{name}/NEWS

%fdupes %{buildroot}/%{_datadir}/%{name}

%files
%defattr(-,root,root)
%doc README NEWS
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Sun Nov  6 2016 opensuse-packaging@opensuse.org
- Update to version 20161104.8d9e030:
  * Add some ssi32 samples
  * Add some more MIDI dumps.
  * spi/ssi32: add README with setup description
  * midi: Add some more dump files.
  * uart: Add a dump file demonstrating overlapping RX/TX.
  * gpib: Add an example capture file.
  * uart: add dump files to demonstrate number of data bits
  * spiflash: Add some Fidelix FM25Q32 dumps.
  * spi: Add some dumps with various bitwidths.
  * ps2: Add an initial PS/2 keyboard dump.
* Tue Oct 25 2016 opensuse-packaging@opensuse.org
- Update to version 20161023.b485187:
  * Add a few DMX512 dumps.
  * Add some ssi32 samples
  * Add some more MIDI dumps.
  * spi/ssi32: add README with setup description
  * midi: Add some more dump files.
  * uart: Add a dump file demonstrating overlapping RX/TX.
  * gpib: Add an example capture file.
  * uart: add dump files to demonstrate number of data bits
  * spiflash: Add some Fidelix FM25Q32 dumps.
  * spi: Add some dumps with various bitwidths.
* Tue Oct 25 2016 stefan.bruens@rwth-aachen.de
- initial packaged version
